Bug 727667 - Long filenames are displayed truncated
Summary: Long filenames are displayed truncated
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 15
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-02 19:41 UTC by John Chivall
Modified: 2012-08-07 17:49 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 17:49:14 UTC


Attachments (Terms of Use)

Description John Chivall 2011-08-02 19:41:46 UTC
Description of problem:
When searching for recent files in the gnome-shell overview, filenames are displayed truncated with an ellipsis. This makes it impossible to differentiate between files of the same type where the first 20 or so characters of the filename are identical. This leads to a situation where to find the correct document, one has to "hit and hope", repeating the search if the guess is wrong (why can't gnome-shell remember the state of the overview?) or launch a file manager or other search tool.

Version-Release number of selected component (if applicable):
$ rpm -qi gnome-shell
Name        : gnome-shell
Version     : 3.0.2
Release     : 4.fc15
Architecture: x86_64

How reproducible:
Always

Steps to Reproduce:
1. Press Super key/click Activities/mouseover hot corner to gain g-s overview
2. Type search string to locate a recently used file with a long filename
3. 
  
Actual results:
Cannot see whole of filename

Expected results:
Should be able to see whole of filename, or at least a tooltip on mouseover, to be able to select the correct file.

Additional info:

Comment 1 Nathan Thomas 2011-08-30 10:12:31 UTC
I'd also like to see this bug fixed! Being able to just press the windows key and type a few letters to access my recent files is a great feature and is quickly becoming part of my workflow. Not being able to see the full filename sometimes causes problems though!

Maybe the full filename could be shown when the file is highlighted, as in Nautilus? (I mean, when you move between files with the arrow keys, the current file is highlighted with a darker background.) I'd prefer this to a tooltip on mouseover - one of the reasons why I love this way of accessing files is that my hands don't have to leave the keyboard!

Comment 2 Fedora End Of Life 2012-08-07 17:49:16 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.